<div class="container-fluid p3">

  <h5 class="mb-2">{{"FE_VERSIONS" | translate}}</h5>
  <div class="row version-holder mb-2" >
    <div class="col-sm-12 col-md-6 col-lg-4" *ngFor="let module of currentModules">
      <span class="color-roche-gray">{{module}}:</span>
      {{ currentVersions[module] }}
    </div>
  </div>

  <h5 class="mb-2">{{"BE_VERSIONS" | translate}}</h5>
  <div class="row version-holder mb-2" >
    <div class="col-sm-12 col-md-6 col-lg-4" *ngFor="let module of BEVersions">
      <span class="color-roche-gray">{{ module['Name']  | translate }}:</span>
      {{ module['Version'] }}
    </div>
  </div>

  <h5 class="mt-3">{{"R_VERSIONS" | translate}}</h5>
  <div  class="row version-holder mb-2 mt-2">
    <div class="col-sm-12 col-md-6 col-lg-4 p-0 m-0 mb-3" *ngFor="let rSite of rVersions">
      <div class="col-lg-12" *ngFor="let key of objectKeys(rSite)">
        <h4>{{key}}</h4>

        <div  *ngFor="let module of objectKeys(rSite[key])">
          <span class="col-lg-4 p-0 m-0">
            <span class="color-roche-gray">{{ 'MODULES_TEXT' | translate }}:</span>
            {{ module }},
          </span>

          <span class="col-lg-4 p-0 m-0" *ngIf="rSite[key][module]['R']">
            <span class="color-roche-gray">{{ 'R_TEXT' | translate }}:</span>
            {{ rSite[key][module]['R']}},
          </span>

          <span class="col-lg-4 p-0 m-0" *ngIf="rSite[key][module]['pkg'] && rSite[key][module]['pkg'][module]">
            <span class="color-roche-gray">{{ 'R_PACKAGE_TEXT' | translate }}:</span>
            {{ rSite[key][module]['pkg'][module] }}
          </span>
        </div>

      </div>
    </div>
  </div>

</div>
